Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Character Class Reference
[Unicode core]

## Detailed Description

Character information class.

Basic features:
  - All Unicode information is generated into tables by scripts xcharsets.pl and xtables_gen.pl They are using UnicodeData.txt file and some codepage files, available from http://www.unicode.org/
  - Character class supports most Unicode character properties, except for Bidirectional char class, and Decomposition information. Most of these methods works like Java Character class methods.

Todo:
  - retrieving of bidirectional class information,
  - retrieving of character decomposition mappings (and normalization process information),
  - character 'Digit', 'Decimal Digit' properties. You can retrieve only 'Number' value property from digit characters.
  - No explicit surrogate characters support. Surrogate pairs are treated as distinct characters.

## Static Public Methods

wchar | toLowerCase (wchar c)
wchar | toUpperCase (wchar c)
wchar | toTitleCase (wchar c)
bool | isLowerCase (wchar c)
bool | isUpperCase (wchar c)
bool | isTitleCase (wchar c)
bool | isLetter (wchar c)
bool | isLetterOrDigit (wchar c)
bool | isDigit (wchar c)
bool | isAssigned (wchar c)
bool | isSpaceChar (wchar c)
bool | isWhitespace (wchar c)
bool | isNumber (wchar c)
bool | toNumericValue (wchar c, float *f)
char * | getCategoryName (wchar c)
ECharCategory | getCategory (wchar c)
int | getCombiningClass (wchar c)
bool | isMirrored (wchar c)
int | sizeofTables ()

## Member Function Documentation

int Character::sizeofTables | ( |  | ) | `[static]`

Deprecated:
  For debug purposes only.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:55 2003 by doxygen 1.3-rc2.